Package gui

# Class RenderableMultidoku

java.lang.Object
gui.RenderableMultidoku

public class RenderableMultidoku extends Object

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static RenderableMultidoku`
  `fromMultidoku(MultiDoku doku)`
  `List<Block>`
  `getBlocks()`
  `Cell`
  `getCell(int index)`
  `Cell`
  `getCell(int x, int y)`
  `MultiDoku`
  `getDoku()`
  `int`
  `getHeight()`
  `int`
  `getWidth()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### getWidth

    public int getWidth()

  - ### getHeight

    public int getHeight()

  - ### getBlocks

    public List<Block> getBlocks()

  - ### getCell

    public Cell getCell(int x, int y)

  - ### getCell

    public Cell getCell(int index)

  - ### fromMultidoku

    public static RenderableMultidoku fromMultidoku(MultiDoku doku)

  - ### getDoku

    public MultiDoku getDoku()